Bug 862755 - new anaconda doesn't prepend ntp servers from dhcp to default ntp server list
new anaconda doesn't prepend ntp servers from dhcp to default ntp server list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Martin Kolman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 09:12 EDT by David Jaša
Modified: 2013-05-18 00:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: pykickstart-1.99.31-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 848857
Environment:
Last Closed: 2013-05-18 00:55:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-10-03 09:12:11 EDT
Fedora 18 anaconda is affected, too.


+++ This bug was initially created as a clone of Bug #848857 +++

Description of problem:
RHEL7 firstboot doesn't prepend ntp servers from dhcp to default ntp server list

Version-Release number of selected component (if applicable):
firstboot-18.1.1-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. install RHEL7 with desktop environment
2. reboot
3.
  
Actual results:
during firstboot, only x.rhel.pool.ntp.org NTP servers are in the chooser

Expected results:
NTP servers from DHCP are prepended to the default NTP servers

Additional info:
* this may render NTP unusable in environments where NTP traffic is only
  allowed within internal network
* this works in RHEL 6.3 installer
Comment 1 Vratislav Podzimek 2013-03-19 08:04:50 EDT
Martin will have a look at it, it should be quite an easy patch.
Comment 2 Fedora Update System 2013-05-15 18:25:27 EDT
anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
Comment 3 Fedora Update System 2013-05-16 01:21:51 EDT
Package anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.27-1.fc19 pykickstart-1.99.31-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-17 18:19:20 EDT
Package pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.31-1.fc19 anaconda-19.28-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.28-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-05-18 00:55:18 EDT
pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.